groovy.util

## Class NodePrinter

- java.lang.Object
- - groovy.util.NodePrinter

    public class NodePrinter
    extends java.lang.Object

A helper class for creating nested trees of data

### Field Summary

Fields
`protected IndentPrinter` `out`

### Constructor Summary

Constructors
Constructor and Description
`NodePrinter()`
`NodePrinter(IndentPrinter out)`
`NodePrinter(java.io.PrintWriter out)`

### Method Summary

Methods
`void` `print(Node node)`
`protected void` `printAttributes(java.util.Map attributes)`
`protected void` `printList(java.util.List list)`
`protected void` `printName(Node node)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### out

    protected final IndentPrinter out

### Constructor Detail

#### NodePrinter

    public NodePrinter()

#### NodePrinter

    public NodePrinter(java.io.PrintWriter out)

#### NodePrinter

    public NodePrinter(IndentPrinter out)

### Method Detail

#### print

    public void print(Node node)

#### printName

    protected void printName(Node node)

#### printList

    protected void printList(java.util.List list)

#### printAttributes

    protected void printAttributes(java.util.Map attributes)